gcc -o uAB A.c uAB0.c
uAB0.c: In function 'main':
uAB0.c:5:30: error: 'false' undeclared (first use in this function)
   printf("%d\n",get_sum_A(15,false));
                              ^
uAB0.c:5:30: note: each undeclared identifier is reported only once for each function it appears in
uAB0.c:6:30: error: 'true' undeclared (first use in this function)
   printf("%d\n",get_sum_A(15,true));

-------------------------------

gcc -o uAB A.c uAB1.c 
In file included from uAB1.c:2:0:
A.h:8:12: warning: 'mal' used but never defined [enabled by default]
 static int mal();
            ^
/tmp/ccK0lBoh.o: In function `main':
uAB1.c:(.text+0x4a): undefined reference to `mal'
collect2: error: ld returned 1 exit status

-------------------------------

gcc -o uAB A.c uAB2.c

gcc -o uAB A.c uAB2.c  -Wall
In file included from uAB2.c:2:0:
A.h:8:12: warning: 'mal' declared 'static' but never defined [-Wunused-function]
 static int mal();
